### Enumeration

# Fwupd RequestFlags

#### Declaration

    flags Fwupd.RequestFlags

#### Description [src]

Flags used to represent request attributes.

#### Members

Name | Description
--- | ---
`FWUPD_REQUEST_FLAG_NONE` | No flags are set.
`FWUPD_REQUEST_FLAG_ALLOW_GENERIC_MESSAGE` | Use a generic (translated) request message.
`FWUPD_REQUEST_FLAG_ALLOW_GENERIC_IMAGE` | Use a generic (translated) request image.
`FWUPD_REQUEST_FLAG_NON_GENERIC_MESSAGE` | Device requires a non-generic interaction with custom non-translatable text.
`FWUPD_REQUEST_FLAG_NON_GENERIC_IMAGE` | Device requires to show the user a custom image for the action to make sense.
`FWUPD_REQUEST_FLAG_UNKNOWN` | The request flag is unknown, typically caused by using mismatched client and daemon.